Skip to main content

triggerCspmSync

Manually trigger a CSPM sync for an integration

triggerCspmSync(
input: TriggerCspmSyncInput!
): TriggerCspmSyncPayload

Arguments​

triggerCspmSync.input ● TriggerCspmSyncInput! non-null input​

Parameters for TriggerCspmSync

Type​

TriggerCspmSyncPayload object​

Autogenerated return type of TriggerCspmSync.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the cspmIntegrations query first and use data.cspmIntegrations.collection[].id as cspmIntegrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateTriggerCspmSync($input: TriggerCspmSyncInput!) {\n triggerCspmSync(input: $input) { clientMutationId errors success }\n}","variables":{"input":{"cspmIntegrationId":1,"companyId":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute